Create refund
curl --request POST \
--url https://api.orafi.app/v1/transactions/refund/{originalTxId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"to": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"reason": "Customer requested cancellation"
}
'import requests
url = "https://api.orafi.app/v1/transactions/refund/{originalTxId}"
payload = {
"to": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"reason": "Customer requested cancellation"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb',
reason: 'Customer requested cancellation'
})
};
fetch('https://api.orafi.app/v1/transactions/refund/{originalTxId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Refund initiated successfully",
"data": {
"id": "refund_abc123",
"amount": 100,
"status": "CONFIRMED",
"transactionId": "<string>",
"toAddress": "<string>",
"reason": "<string>",
"txDigest": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Validation error message"
}{
"success": false,
"message": "Unauthorized access"
}Refunds
Create Refund
Initiate a refund for a transaction
POST
/
transactions
/
refund
/
{originalTxId}
Create refund
Authorizations
API key for merchant authentication required for most endpoints
Path Parameters
ID of the original transaction to refund
Body
application/json
